package cz.muni.fi.pb162.project.geometry;

/**
* @author Vitalii Bortsov
*/

public class Vertex2D {

    private double xcoord;
    private double ycoord;

    /**
     *
     * @param xcoord coordinate
     * @param ycoord coordinate
     */
    public Vertex2D(double xcoord, double ycoord) {
        this.xcoord = xcoord;
        this.ycoord = ycoord;
    }

    public double getX() {
        return xcoord;
    }

    public double getY() {
        return ycoord;
    }

    public void setX(double newX) {
        xcoord = newX;
    }

    public void setY(double newY) {
        ycoord = newY;
    }

    /**
     *
     * @return info about vertex coordinates
     */

    public String toString() {
        return "[" + this.xcoord + ", " + this.ycoord + "]";
    }

    /**
     *
     * @param targetVertex must not be null
     * @return new Vertex in the middle point between targetVertex and this Vertex
     */

    public Vertex2D createMiddle(Vertex2D targetVertex) {
        double resultX = (this.xcoord + targetVertex.xcoord) / 2;
        double resultY = (this.ycoord + targetVertex.ycoord) / 2;
        Vertex2D resultVertex = new Vertex2D(resultX, resultY);
        return resultVertex;

    }
}
